# Uses of Class
org.eclipse.ecf.core.sharedobject.model.SharedModel.Property

Packages that use SharedModel.Property
Package
Description
org.eclipse.ecf.core.sharedobject.model

## Uses of SharedModel.Property in org.eclipse.ecf.core.sharedobject.model

Methods in org.eclipse.ecf.core.sharedobject.model that return SharedModel.Property
Modifier and Type
Method
Description
`protected SharedModel.Property`
SharedModel.`addProperty(String name)`
`protected SharedModel.Property`
SharedModel.`addProperty(String name, Object value)`
`protected SharedModel.Property`
SharedModel.`addProperty(SharedModel.Property property)`
`SharedModel.Property`
ISharedModelPropertyAddEvent.`getAddedProperty()`
`protected SharedModel.Property`
SharedModel.`getOrAddProperty(String propertyName)`
`SharedModel.Property`
ISharedModelPropertyAddEvent.`getPreAddedProperty()`
`SharedModel.Property`
ISharedModelPropertyValueChangeEvent.`getProperty()`
`protected SharedModel.Property`
SharedModel.`getProperty(String propertyName)`
`SharedModel.Property`
ISharedModelPropertyRemoveEvent.`getRemovedProperty()`
`protected SharedModel.Property`
SharedModel.`removeProperty(String propertyName)`
`protected SharedModel.Property`
SharedModel.`setOrAddProperty(String propertyName, Object value)`
Methods in org.eclipse.ecf.core.sharedobject.model that return types with arguments of type SharedModel.Property
Modifier and Type
Method
Description
`protected Collection<SharedModel.Property>`
SharedModel.`copyProperties()`
Methods in org.eclipse.ecf.core.sharedobject.model with parameters of type SharedModel.Property
Modifier and Type
Method
Description
`protected SharedModel.Property`
SharedModel.`addProperty(SharedModel.Property property)`
`protected boolean`
SharedModel.`handlePropertyTo(ID fromID, String msg, SharedModel.Property property)`
`protected final void`
SharedModel.`sendPropertyTo(ID target, String msg, SharedModel.Property property)`
`protected final void`
SharedModel.`sendPropertyTo(ID target, SharedModel.Property property)`